Page 8 of 19 FirstFirst ... 67891018 ... LastLast
Results 71 to 80 of 189

Thread: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

  1. #71
    Join Date
    Jul 2009
    Beans
    11

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Hi,
    I was having exact same experience attempting to install Canon pixma mp560 on ubuntu 11.04 64bit. Came across this post at http://ubuntuforums.org/showthread.php?t=1427098 and modified barna's beautifully explicit instructions to suit my circumstances.
    After trying various edits of the control script I finally re-compiled the four printer and scanner .deb files without any Depends line at all and was able to install the printer and scanner with dpkg -i --force-architecture without complaint.
    Obviously not an ideal solution but printer and scanner are working flawlessly.
    Hope this helps.

  2. #72
    Join Date
    May 2011
    Beans
    1

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Quote Originally Posted by selcho View Post
    Hi,
    I was having exact same experience attempting to install Canon pixma mp560 on ubuntu 11.04 64bit. Came across this post at http://ubuntuforums.org/showthread.php?t=1427098 and modified barna's beautifully explicit instructions to suit my circumstances.
    Thanks! Also have ubuntu 11.04 x86_64, but with the MX870. I ended up deleting the dependency line in both deb files and it worked to get printing going using the regular install. I got lucky in that I had already installed the print driver with an earlier incarnation, so I was moderately certain that I had the deps satisfied.

  3. #73
    Join Date
    May 2008
    Location
    New York, NY
    Beans
    16
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Quote Originally Posted by craig.pennington View Post
    Thanks! Also have ubuntu 11.04 x86_64, but with the MX870. I ended up deleting the dependency line in both deb files and it worked to get printing going using the regular install. I got lucky in that I had already installed the print driver with an earlier incarnation, so I was moderately certain that I had the deps satisfied.
    Can you explain how did you go about using the regular install.sh file to install the driver? I followed the instructions in the previous poster's link and still could not get the damn script file to work

  4. #74
    Join Date
    Jul 2005
    Beans
    306

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    I have managed to use the procedures mentioned to get the mx870 installed in 11.04 AMD64. There are 3 files you need to edit.
    Firstly, the install.sh file must be edited according to this thread: http://ubuntuforums.org/showthread.php?t=1475336

    Then you need to follow the procedure in this current thread to remove the depends from the two deb files. You can use either download link but, one thread gets you all the mx870 files, including the scanner files, and the other only gets the printer driver.

    I'm going to try getting the scanner to work now.

    Statik

  5. #75
    Join Date
    Nov 2010
    Beans
    2

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Thank you for posting this. You're instructions were really good to follow and my printer works like charm.

  6. #76
    Join Date
    Jul 2005
    Beans
    306

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Well, I've stripped the dependancies out of the two scanner deb files, modified the install.sh script and ran the install. Everything went fine. No errors. The scanner is even properly recognized in xane. However, scanning doesn't work. Trying the scangearmp program from the terminal allowed me to select the printer properly but then it failed out with pages of errors:
    Code:
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so
    
    
    (scangearmp:23078): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Loading IM context type 'ibus' failed
    
    (scangearmp:23078): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Loading IM context type 'ibus' failed
    
    (scangearmp:23078): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Loading IM context type 'ibus' failed
    
    (scangearmp:23078): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Loading IM context type 'ibus' failed
    
    (scangearmp:23078): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Loading IM context type 'ibus' failed
    
    (scangearmp:23078): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gio/modules/libgiobamf.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiobamf.so
    /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so
    
    (scangearmp:23078): Gtk-WARNING **: Error loading theme icon 'process-stop' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
    
    ** (scangearmp:23078): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed
    
    (scangearmp:23078): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed
    
    (scangearmp:23078): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
    
    (scangearmp:23078): Gtk-WARNING **: Error loading theme icon 'process-stop' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
    
    ** (scangearmp:23078): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed
    
    (scangearmp:23078): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed
    
    (scangearmp:23078): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
    
    (scangearmp:23078): Gtk-WARNING **: Error loading theme icon 'process-stop' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64
    
    (scangearmp:23078): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
    
    ** (scangearmp:23078): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed
    
    (scangearmp:23078): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed
    
    (scangearmp:23078): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
    Not sure where to go with this just yet. I'll look again after I finish my finals.

    Statik

  7. #77
    Join Date
    Jul 2009
    Beans
    11

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    hi,
    Reference: http://ubuntuforums.org/showthread.php?t=870424
    I had an error initially "Error during CMS conversion, could not open scanner ICM profile " which was fixed with uncheck "Preferences / Enable color management."
    Try un-installing then re-installing xsane xsane-common sane sane-utils libsane-hpaio simple-scan libsane after deleting ~/.sane folder.
    I also installed libsane-extras which provides additional backends should this be necessary.
    Running scangearmp program in a terminal also still gives me the ELf error. :~$ scangearmp
    scangearmp: error while loading shared libraries: libgimpmath-2.0.so.0: wrong ELF class: ELFCLASS64 but xsane and simple-scan work perfectly.
    Hope this helps.

  8. #78
    Join Date
    May 2008
    Location
    New York, NY
    Beans
    16
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Quote Originally Posted by Statik View Post
    I have managed to use the procedures mentioned to get the mx870 installed in 11.04 AMD64. There are 3 files you need to edit.
    Firstly, the install.sh file must be edited according to this thread: http://ubuntuforums.org/showthread.php?t=1475336

    Then you need to follow the procedure in this current thread to remove the depends from the two deb files. You can use either download link but, one thread gets you all the mx870 files, including the scanner files, and the other only gets the printer driver.

    I'm going to try getting the scanner to work now.

    Statik
    Your instructions are perfect. The printer works just fine now. Thank you Sir

  9. #79
    Join Date
    May 2011
    Location
    Montevideo, Uruguay
    Beans
    1
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    Hi everyone. I'm new to ubuntu (and linux for that matter). I've installed ubuntu 11.04 64bit and after having success in installing all the drivers for all the components of my x64 rig (i7), there is still one thing that I cannot seem to be able to fix. And that is, my canon pixma mx350 multifunction printer. I've tried all the things that were mentioned in this thread and others. I got stuck because the two *.deb corresponding to the printer drivers keep asking for the following dependencies.

    The files are: cnijfilter-common_3.30-1_i386.deb and cnijfilter-mx350series_3.30-1_i386.deb

    The dependencies are:

    libc6 (>= 2.3.4-1)
    libcupsys2 (>= 1.2.1) | libcups2
    libpopt0 (>= 1.7)


    I've tried different solutions which seemed to have worked out for many people.

    Last ones are:

    1. Trying to edit the install.sh so that it forces the architecture (--force-architecture) that comes with the drivers and editing the two *.deb so that they ignore those dependencies. Everything works as told, but when I try to install them, they keep asking for the same dependencies.

    2. As instructed here: http://ubuntuforums.org/showthread.php?t=1305248

    Editing the two *.deb in order to change the dependencies since there was a change in nomenclature some time ago (libcupsys2 now is libcups2, right?). For this, I followed the tutorial there but it is for another canon printer, and an older version of Ubuntu. Because of this, there were some differences in dependencies lists of the *.deb files. However I moved on and changed as told, but only the dependencies in question. After doing all that they still asked for those same dependencies.

    3. Trying to install dummy packages... Didn't work either.

    Conclusion:

    I'm still lost and I don't seem to find the answer to this problem. At least I want to report this situation to help to tie knots with others who are in the same position. Again, I'm just taking the first steps to move to Ubuntu and linux. I'm new and much of what I did doesn't make any sense for now but I'm feeling adventurous =D.

    I apologize for not giving more links to the places where I got the information.

    Thank you and regards!
    Last edited by Keydir; May 13th, 2011 at 10:21 PM.

  10. #80
    Join Date
    Nov 2009
    Beans
    5

    Re: How To: Install Canon PIXMA MX870 drivers on i368 and 64bit ubuntu

    For what it is worth, I followed the instructions here, and got the printer working. One additional step that might be required - I needed to install the package "ia32-libs" as it was not installed by default. Without this some of the utility programs (like /usr/bin/cnijnetprn) couldn't run as there were missing shared libraries.

    Unpacking the .deb file and removing the dependencies involves a few manual steps. I wrote a shell script to do this:

    Code:
    if [ -d foo ];
    then
        rm -rf foo
    fi
    
    mkdir foo
    cd foo
    ar x ../$1
    
    #
    # Next unpack control.
    #
    mkdir control
    cd control
    gzip -d -c ../control.tar.gz | tar xf -
    
    cat control | grep -v Depends: > control2
    rm control
    mv control2 control
    
    tar cf - ./ > ../control2.tar
    cd ..
    mv control.tar.gz control.tar.gz.old
    mv control2.tar control.tar
    gzip control.tar
    
    #cp ../$1 ../$1.orig
    ar r ../$1 control.tar.gz
    echo "Fixed $1"
    And then a 2nd script

    Code:
    ./fixdeb.sh cnijfilter-mx870series-3.30-1-i386-deb/packages/cnijfilter-common_3.30-1_i386.deb
    ./fixdeb.sh cnijfilter-mx870series-3.30-1-i386-deb/packages/cnijfilter-mx870series_3.30-1_i386.deb
    
    ./fixdeb.sh scangearmp-mx870series-1.50-1-i386-deb/packages/scangearmp-common_1.50-1_i386.deb
    ./fixdeb.sh scangearmp-mx870series-1.50-1-i386-deb/packages/scangearmp-mx870series_1.50-1_i386.deb
    which handles each of the 4 .deb files.

Page 8 of 19 FirstFirst ... 67891018 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •